"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const run_git_commands_1 = require("./../util/run-git-commands");
const logger_1 = __importDefault(require("../../../../shared/logger"));
const read_directory_1 = require("../../../../shared/util/read-directory");
const directory = process.cwd() + "/";
exports.default = (branch) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.info("Create branch in all projects selected");
    logger_1.default.info(branch);
    // 1. Leer el directorio actual y obtener los proyectos disponibles con la carpeta .git
    const projectsInCurrentDirectory = yield read_directory_1.readDirectoryByFiles(directory, ["manifest.json", ".git"], "Pick the projects to use", "Select the projects");
    if (!projectsInCurrentDirectory) {
        process.exit(1);
    }
    run_git_commands_1.createGitFeature(projectsInCurrentDirectory, branch);
});
