"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const create_git_feature_1 = require("./util/create-git-feature");
const logger_1 = __importDefault(require("../../../../shared/logger"));
const read_directory_1 = require("./util/read-directory");
const update_continuos_integration_1 = require("./util/update-continuos-integration");
const increment_version_1 = require("./util/increment-version");
const push_changes_1 = require("./util/push-changes");
exports.default = () => __awaiter(this, void 0, void 0, function* () {
    const directory = process.cwd() + "/";
    // 1. Leer el directorio actual y obtener los proyectos disponibles con la carpeta .git
    const currentDirectory = yield read_directory_1.readDirectory(directory);
    if (currentDirectory.length) {
        // 2. Elimino el branch destinado para la actualización de la configuración.
        yield create_git_feature_1.deleteGitFeature(currentDirectory);
        // 3. Entrar en cada directorio y crear la configuración de feature/infra-update-cli
        yield create_git_feature_1.createGitFeature(currentDirectory);
        // 4. Entrar en el directorio y eliminar la carpeta config y realizar una actualización de la infra. Tener en cuenta la creación de los templates, para ello necesitare tener el nombre del proyecto a generar la infra
        yield update_continuos_integration_1.updateConfigContinuosIntegration(currentDirectory);
        // 5. Realizo un incremento en la versión de la aplicación
        yield increment_version_1.incrementVersion(currentDirectory);
        // 6. Realizar push y integrar al master o develop
        yield push_changes_1.pushChanges(currentDirectory);
        // 7. Elimino el branch destinado para la actualización de la configuración.
        yield create_git_feature_1.deleteGitFeature(currentDirectory);
        logger_1.default.info("Successfully updated configuration :)");
    }
});
