"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./../../../../../shared/constants");
const logger_1 = __importDefault(require("../../../../../shared/logger"));
const run_multiple_command_1 = require("../../../../../shared/util/run-multiple-command");
exports.createGitFeature = (directory) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.info("Creating feature git");
    return Promise.all(directory.map((item) => __awaiter(this, void 0, void 0, function* () {
        yield createFeatureBranch(item);
    })));
});
exports.deleteGitFeature = (directory) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.info("Deleting feature git");
    return Promise.all(directory.map((item) => __awaiter(this, void 0, void 0, function* () {
        yield exports.deleteRepo(item);
    })));
});
// Método que permite crear el feature en el proyecto indicado.
const createFeatureBranch = (directory) => __awaiter(this, void 0, void 0, function* () {
    try {
        const command = `cd ${directory} &&  ${constants_1.consts.git.command_create_feature} ${constants_1.consts.git.namefeature}`;
        const response = yield run_multiple_command_1.runMultipleCommand(command);
        return response;
    }
    catch (error) {
        return false;
    }
});
exports.deleteRepo = (directory) => __awaiter(this, void 0, void 0, function* () {
    const deleteRepo = `cd ${directory} && git branch -d ${constants_1.consts.git.namefeature} && git push origin --delete ${constants_1.consts.git.namefeature}`;
    yield run_multiple_command_1.runMultipleCommand(deleteRepo);
});
