"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const logger_1 = __importDefault(require("../../../../../shared/logger"));
const get_content_files_1 = require("../../../../../shared/util/get-content-files");
const ramda_1 = require("ramda");
exports.incrementVersion = (directory) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.info("Increment versión");
    const content = yield get_content_files_1.getManifestsContent(directory);
    yield Promise.all(content.map((item) => __awaiter(this, void 0, void 0, function* () {
        const nexVersion = incrementNumber(item.version);
        logger_1.default.debug(`current version ${item.version} change to ${nexVersion}`);
        item.version = nexVersion;
        let manifest = Object.assign({}, item);
        delete manifest.path;
        yield writeFile(item.path, JSON.stringify(manifest, null, 4));
    })));
    return true;
});
// Método que se encarga de incrementar la ultima versión de la aplicación
const incrementNumber = (version) => {
    const split = version.split(".");
    split[2] = ramda_1.toString(parseInt(split[2]) + 1);
    const newVersion = `${split[0]}.${split[1]}.${split[2]}`;
    return newVersion;
};
const writeFile = (path, string) => __awaiter(this, void 0, void 0, function* () {
    try {
        yield fs_1.writeFileSync(path + "/manifest.json", string);
    }
    catch (error) {
        logger_1.default.error(error);
    }
});
