"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./../../../../../shared/constants");
const logger_1 = __importDefault(require("../../../../../shared/logger"));
const run_multiple_command_1 = require("../../../../../shared/util/run-multiple-command");
exports.pushChanges = (directory) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.info("Push change in the feature");
    return Promise.all(directory.map((item) => __awaiter(this, void 0, void 0, function* () {
        yield pushChangesAndMerge(item);
    })));
});
// Método que permite hacer push y un merge a develop y master
const pushChangesAndMerge = (directory) => __awaiter(this, void 0, void 0, function* () {
    try {
        // comandos empleados para realizar el push
        const pushChanges = `cd ${directory} &&  ${constants_1.consts.git.command_push_changes}`;
        const command = `${pushChanges}`;
        yield run_multiple_command_1.runMultipleCommand(command);
        // const mergeChangesDevelop = `cd ${directory}  && git checkout develop && git merge origin/feature/aws-infra-update-exito-cli`;
        // await runMultipleCommand(mergeChangesDevelop);
        // const mergeChangesMaster = `cd ${directory}  && git checkout master && git merge origin/develop && git push`;
        // await runMultipleCommand(mergeChangesMaster);
        return true;
    }
    catch (error) {
        return false;
    }
});
// Comando para realizar push  `git add . && git commit -m "exito cli update infra ${getCurrenVersion()} "`
// Comando para realizar merge a develop
// comando para hacer merge de develop a master
