"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../../../../../shared/logger"));
const fs_1 = __importDefault(require("fs"));
const chalk_1 = __importDefault(require("chalk"));
const choise_folders_1 = require("./choise-folders");
const get_content_files_1 = require("../../../../../shared/util/get-content-files");
exports.readDirectory = (directory) => __awaiter(this, void 0, void 0, function* () {
    logger_1.default.debug("Read current directory to find .git folder");
    // find directory in the current folder
    let currentDirectory = yield get_content_files_1.getDirectories(directory);
    // filter the directory to find .git folder
    let filter = currentDirectory.filter((item) => fs_1.default.existsSync(item + "/.git") == true && fs_1.default.existsSync(item + "/manifest.json") == true);
    // print log info
    logger_1.default.info(filter.length > 0
        ? `find ${chalk_1.default.blue(`${filter.length}`)} folders with proyects`
        : `folder ${chalk_1.default.blue(".git")} not found in the current directory`);
    if (filter.length) {
        let choise = yield choise_folders_1.choiseFolders(filter);
        logger_1.default.info(`Total of proyects to use: ${chalk_1.default.yellow(`${choise.folders.length}`)}`);
        return choise.folders;
    }
    return [];
});
