"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./../../../shared/constants");
const git_1 = require("./../../github/init/git");
const logger_1 = __importDefault(require("./../../../shared/logger"));
exports.default = () => __awaiter(this, void 0, void 0, function* () {
    try {
        logger_1.default.info("Generating the last config for your project");
        let firstCopy = yield move();
        if (firstCopy) {
            logger_1.default.info("files config generate succesfully!!");
        }
    }
    catch (error) {
        logger_1.default.error(error);
    }
});
const move = () => __awaiter(this, void 0, void 0, function* () {
    try {
        return yield git_1.download(constants_1.consts.config_repository);
    }
    catch (error) {
        logger_1.default.error(`Error on download config ${error}`);
        return false;
    }
});
