"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
let fs = require("fs");
const logger_1 = __importDefault(require("./../../../shared/logger"));
const constants_1 = require("../../../shared/constants");
const docker_develop_template_1 = require("./util/docker-develop-template");
const docker_master_template_1 = require("./util/docker-master-template");
const dirname = process.cwd();
let options;
exports.default = (environemnt, vendor, workspace, email) => __awaiter(this, void 0, void 0, function* () {
    // 0 Set config
    options = {
        vendor: vendor,
        email: email,
        workspace: workspace
    };
    // 1. Create the file in base to the selection 'dev' or 'production
    logger_1.default.info(`Creating the docker file ${environemnt}`);
    if (environemnt == constants_1.consts.environment.develop) {
        yield createDevelopDockerFile();
        logger_1.default.info("Docker file creation successfully");
    }
    else if (environemnt == constants_1.consts.environment.production) {
        yield createMasterDockerFile();
        logger_1.default.info("Docker file creation successfully");
    }
    else {
        logger_1.default.error("No environment indicate to create the docker file");
    }
});
const createDevelopDockerFile = () => __awaiter(this, void 0, void 0, function* () {
    try {
        return fs.writeFileSync(`${dirname}/${constants_1.consts.generate.develop_dockerfile_name}`, yield docker_develop_template_1.developDocker(options), function (err) {
            if (err) {
                throw err;
            }
        });
    }
    catch (error) {
        logger_1.default.debug("error" + error);
    }
});
const createMasterDockerFile = () => __awaiter(this, void 0, void 0, function* () {
    try {
        return fs.writeFileSync(`${dirname}/${constants_1.consts.generate.master_dockerfile_name}`, yield docker_master_template_1.masterDocker(options), function (err) {
            if (err) {
                throw err;
            }
        });
    }
    catch (error) {
        logger_1.default.debug("error" + error);
    }
});
