"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const conf_1 = require("../../../../conf");
exports.developDocker = (options) => {
    return `# exito cli version ${conf_1.getCurrenVersion()}
FROM node:8

# Install dependencies
RUN yarn global add vtex && yarn cache clean
RUN yarn global add exito && yarn cache clean

COPY ./ /project

WORKDIR /project/

RUN echo "Uploading project in the workspace ${options.workspace}"

RUN exito generate vtex_json --verbose

RUN exito vtex login ${options.vendor} ${options.workspace} ${options.email} --verbose

RUN exito vtex run link all --verbose

RUN echo "Project successfully uploaded in the workspace ${options.workspace}"`;
};
