"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const conf_1 = require("./../../../../conf");
exports.masterDocker = (options) => {
    return `# exito cli version ${conf_1.getCurrenVersion()}
FROM node:8

# Install dependencies
RUN yarn global add vtex && yarn cache clean
RUN yarn global add exito && yarn cache clean

COPY ./ /project

WORKDIR /project

RUN echo "Publish project in the workspace ${options.workspace} with the account ${options.vendor}"

RUN exito generate vtex_json --verbose

RUN exito vtex login ${options.vendor} ${options.workspace} ${options.email} --verbose

RUN exito vtex publish --verbose

RUN vtex deps update
`;
};
