"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("./../../../../shared/logger"));
const fs = require('fs');
const readConfigFile = (dir) => __awaiter(this, void 0, void 0, function* () {
    // Metodo que trae el contenido de un directorio indicado
    try {
        if (fs.existsSync(`${dir}/trigger-config.json`)) {
            // Do something
            let branch = yield JSON.parse(fs.readFileSync(`${dir}/trigger-config.json`, 'utf8'));
            if (branch) {
                logger_1.default.info(`trigger-config.json found in ${dir}`);
                return branch;
            }
            else {
                return [];
            }
        }
        else {
            logger_1.default.info(`trigger-config.json not found in ${dir}`);
            return [];
        }
    }
    catch (error) {
        logger_1.default.info(`error on read the trigger-config file in ${dir} check the content`);
        return [];
    }
});
exports.promtsBranchsConfiguration = (dir) => __awaiter(this, void 0, void 0, function* () {
    let branch = yield readConfigFile(dir);
    if (branch.length) {
        return branch;
    }
    else {
        return [];
    }
});
