"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("./../../../../shared/logger"));
const fs = require("fs");
const readFile = (dir) => __awaiter(this, void 0, void 0, function* () {
    // Metodo que trae el contenido de un directorio indicado
    try {
        if (fs.existsSync(dir)) {
            // Do something
            let fileContent = yield JSON.parse(fs.readFileSync(dir, "utf8"));
            if (fileContent) {
                logger_1.default.info(`File not found: ${dir}`);
                return fileContent;
            }
            else {
                return [];
            }
        }
        else {
            logger_1.default.info(`File not found: ${dir}`);
            return [];
        }
    }
    catch (error) {
        logger_1.default.info(`error on read the file: ${dir} check the content`);
        return [];
    }
});
exports.readFileInDirectory = (dir) => __awaiter(this, void 0, void 0, function* () {
    let fileContent = yield readFile(dir);
    if (fileContent.length) {
        return fileContent;
    }
    else {
        return [];
    }
});
